6.0.0-git
2019-04-21

[#12709] Columns not validated properly: commit b92ce68a0320c430b87fc8d50e0f1cc29b90c64b
Summary Columns not validated properly: commit b92ce68a0320c430b87fc8d50e0f1cc29b90c64b
Queue Turba
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester stuart (at) ruby (dot) naifeh (dot) org
Created 2013-09-25 (2034 days ago)
Due
Updated 2013-09-29 (2030 days ago)
Assigned
Resolved 2013-09-29 (2030 days ago)
Milestone
Patch Yes

History
2013-09-29 17:06:25 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Committed, thanks!
2013-09-29 17:06:14 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit fc91e81913472e6ba07f0267e1b92aed4ad4fac6
Author: stuart@ruby.naifeh.org <stuart@ruby.naifeh.org>
Date:   Sun Sep 29 13:05:35 2013 -0400

     Bug: 12709 Fix array access to source map.

     Signed-off-by: Michael J Rubinsky <mrubinsk@horde.org>

  turba/lib/Turba.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/fc91e81913472e6ba07f0267e1b92aed4ad4fac6
2013-09-25 19:25:44 stuart (at) ruby (dot) naifeh (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Columns not validated properly: commit b92ce68a0320c430b87fc8d50e0f1cc29b90c64b
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ Yes
New Attachment: Turba-Column-Validation.patch Download
Reply to this comment
Commit b92ce68a0320c430b87fc8d50e0f1cc29b90c64b does not look in the 
right place for Turba to backend mappings, causing additional columns 
not to show in address books.  The commit added code to be sure there 
is a mapping to a backend field before a column will be added to the 
browse view, but it is looking in the wrong place for the mapping and 
when it doesn't find it, it removes the column from the view.  This 
code is looking for mappings in

$GLOBALS['cfgSources'][$source[0]]['params']['config']['map']

, but it should be

$GLOBALS['cfgSources'][$source[0]]['map']

Patch attached.

Saved Queries